Архитектору и проектировщику|Тепло- и звукоизоляция URSA.RU
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Функция vla-slicesolid как правильно написать аргумент

Функция vla-slicesolid как правильно написать аргумент

Ответ
Поиск в этой теме
Непрочитано 03.02.2014, 14:29 #1
Функция vla-slicesolid как правильно написать аргумент
solo123
 
Регистрация: 19.08.2009
Сообщений: 86

Как правильно написать аргумент <целое-лог> ,чтобы отсекаемая часть объекта удалилась?

(vla-slicesolid po_n (vlax-3D-point 1.0 0.0 0.0 ) (vlax-3D-point 0.0 0.0 0.0) (vlax-3D-point 1.0 1.0 0.0 1))
Просмотров: 1270
 
Непрочитано 03.02.2014, 14:59
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,853


Во-первых, скобка "не там". Во-вторых, попробуй использовать :vlax-true / :vlax-false
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 03.02.2014, 15:06
#3
solo123


 
Регистрация: 19.08.2009
Сообщений: 86


(vla-slicesolid po_n (vlax-3D-point 1.0 0.0 0.0 ) (vlax-3D-point 0.0 0.0 0.0) (vlax-3D-point 1.0 1.0 0.0 )1)
solo123 вне форума  
 
Непрочитано 03.02.2014, 15:16
#4
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,853


Код:
[Выделить все]
 (vla-SliceSolid ent (vlax-3d-point(getpoint "\nFirst")) (vlax-3d-point (getpoint "\nSecond")) (vlax-3d-point (getpoint "\nThird")) :vlax-true)
Код:
[Выделить все]
 (vla-SliceSolid ent (vlax-3d-point(getpoint "\nFirst")) (vlax-3d-point (getpoint "\nSecond")) (vlax-3d-point (getpoint "\nThird")) :vlax-false)
А перед этим (setq ent (vlax-ename->vla-object (car (entsel))))
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 03.02.2014, 15:47
#5
solo123


 
Регистрация: 19.08.2009
Сообщений: 86


Огромное спасибо!
solo123 вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Функция vla-slicesolid как правильно написать аргумент

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Функция AutoLisp getPathLoadedApplication или как ее написать ? alex-63 LISP 31 20.06.2011 20:00
VBA функция InsertBlock для динамического блока - не правильно воспринимает параметр sergtranes Программирование 2 14.02.2011 19:33
Autolisp функция как аргумент другой функции xsakabsx LISP 9 17.12.2010 14:15
структурированный список Holon Программирование 22 11.09.2007 14:09